# In all environments, the following files are loaded if they exist,
# the latter taking precedence over the former:
#
#  * .env                contains default values for the environment variables needed by the app
#  * .env.local          uncommitted file with local overrides
#  * .env.$APP_ENV       committed environment-specific defaults
#  * .env.$APP_ENV.local uncommitted environment-specific overrides
#
# Real environment variables win over .env files.
#
# DO NOT DEFINE PRODUCTION SECRETS IN THIS FILE NOR IN ANY OTHER COMMITTED FILES.
# https://symfony.com/doc/current/configuration/secrets.html
#
# Run "composer dump-env prod" to compile .env files for production use (requires symfony/flex >=1.2).
# https://symfony.com/doc/current/best_practices.html#use-environment-variables-for-infrastructure-configuration

#===========================================#
#   Variables that you dont have to touch   #
#===========================================#

###> symfony/framework-bundle ###
APP_ENV=dev
APP_DEBUG=1
APP_SECRET=471a62e2d601a8952deb186e44186cb3
###< symfony/framework-bundle ###

###> nelmio/cors-bundle ###
CORS_ALLOW_ORIGIN='^https?://(localhost|127\.0\.0\.1)(:[0-9]+)?$'
CORS_ORIGIN_REGEX=true
###< nelmio/cors-bundle ###

###> symfony/messenger ###
MESSENGER_TRANSPORT_DSN=doctrine://default
###< symfony/messenger ###

###> doctrine/doctrine-bundle ###
DATABASE_URL="mysql://root:@db_app:3306/maths_en_vie?serverVersion=8.0.34&charset=utf8mb4"
###< doctrine/doctrine-bundle ###

DEFAULT_URI="http://localhost:3000"
APPS_URL="http://localhost:3000"
BANQUE_URL="http://localhost:3002"
RITUEL_URL="http://localhost:3000/rituel"
ATELIER_URL="http://localhost:3001"

PUBLIC_DIR="public"

#===========================================#
#   Variables to modify to your own values  #
#===========================================#

# Used to bypass the maintenance restriction (not very usefull in dev)
AUTORIZED_IP="0.0.0.0"

# Configure the stmp for the sending of the emails (https://symfony.com/doc/current/mailer.html)
MAILER_DSN=sendmail://default

# Configure the emails used
BOT_EMAIL="example@example.com"
DEV_EMAIL="example@example.com"
ADMIN_EMAIL="example@example.com"
CONTACT_EMAIL="example@example.com"

# Configure the passwords used to became Adherent or VIP
PASSWORD_ADHERENT="adherent_password"
PASSWORD_VIP_1="vip_password_1"
PASSWORD_VIP_2="vip_password_2"

# Configure the secret used to generate the hashes
HMAC_SECRET='secret'

# Configure the OpenAI API key used to make the request to OpenAI (https://platform.openai.com/docs/quickstart)
OPENAI_API_KEY='sk-......'

# Token used in the url to specify the origin (Beneylu) of a Game in Atelier
BENEYLU_TOKEN='aabbccddeeff112233445566778899'